> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Export Report

> Delete exported trades/ledgers report

**API Key Permissions Required:** `Data - Export data`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/RemoveExport
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/RemoveExport:
    post:
      tags:
        - Account Data
      summary: Delete Export Report
      description: |
        Delete exported trades/ledgers report

        **API Key Permissions Required:** `Data - Export data`
      operationId: removeExport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - nonce
                - id
                - type
              properties:
                nonce:
                  $ref: '#/components/schemas/nonce'
                id:
                  type: string
                  description: ID of report to delete or cancel
                type:
                  type: string
                  description: >
                    `delete` can only be used for reports that have already been
                    processed. Use `cancel` for queued or processing reports.
                  enum:
                    - cancel
                    - delete
              example:
                nonce: 1695828490
                id: '1234556'
                type: cancel
      responses:
        '200':
          description: Export report deleted or cancelled
          content:
            application/json:
              schema:
                properties:
                  result:
                    type: object
                    properties:
                      delete:
                        type: boolean
                        description: Whether deletion was successful
                      cancel:
                        type: boolean
                        description: Whether cancellation was successful
                  error:
                    $ref: '#/components/schemas/error'
                example:
                  error: []
                  result:
                    delete: true
components:
  schemas:
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````